@font-face {
    font-family: "kosugi";
    src: url("asset/Kosugi-Regular.ttf");
}

@font-face {
    font-family: "coolvetica";
    src: url("asset/coolvetica rg.otf");
}

a {
    text-decoration: underline; /* Remove the underline */
    color: inherit; /* Inherit the color from the parent element */
}

.arrow {
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: black;
    font-size: 24px;
    text-decoration: none;
    z-index: 9999;
  }
  
  .arrow.left {
    left: 10px;
  }
  
  .arrow.right {
    right: 10px;
  }

body {
    margin: 15px 25px;
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.main-content {
    display: flex; /* Flex container for aligning items horizontally */
    justify-content: space-between; /* Aligns the content between the left and right */
    width: 100%;
}

.maezzy {
    font-size: 18px;
    font-family: "kosugi", sans-serif;
    margin: 50px 0px;
    align-self: flex-start; /* Aligns Maezzy to the top-left */
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    flex-grow: 1;
    justify-content: center;
    padding: 20px;
}

h1 {
    font-size: 36px;
    font-family: coolvetica, sans-serif;
    margin-top: 20px;
}



p{
   font-size: 20px;
    font-family: coolvetica, sans-serif;
    margin-top: 20px; 
}

.description {
    font-size: 18px;
    font-family: "kosugi", sans-serif;
    line-height: 1.5; /* Improve readability */
    text-align: left; /* Align text to the left */
    width: 50%; /* Make the description take full width of the container */
    max-width: 800px; /* Limit the width for better readability */
    margin: 40px auto; /* Center the description box horizontally */
    padding: 0 15px; /* Optional: Add some padding for spacing */
}

.opening-img {
    width: 100%; /* Make the container responsive */
    display: flex; /* Use flexbox for alignment */
    justify-content: center; /* Center the image horizontally */
    margin-top: 10px; /* Add top margin for spacing */
}

.opening-img img {
    width: 800px;
    height: auto; /* Keeps the aspect ratio */
    border-radius: 5%; /* Adds rounded corners to the image */
}

.photo1, .photo2, .photo3, .photo4, .photo5 {
    width: 100%; /* Make the container responsive */
    display: flex; /* Use flexbox for alignment */
    justify-content: center; /* Center images horizontally */
    margin-top: 50px; /* Add top margin for spacing */
}

.photo1 img, .photo2 img, .photo3 img, .photo4 img, .photo5 img {
    width: 800px; /* Set a fixed width for the images */
    height: auto; /* Keeps the aspect ratio */
    border-radius: 5%; /* Adds rounded corners to the images */
}



.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: white;
    color: black;
    font-size: 20px;
    font-family: "coolvetica", sans-serif;
    z-index: 1000;
    border-top: 2px black solid;
  }

  .footer-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 2.5px 15px;
    max-width: 100%;
    box-sizing: border-box;
  }

  .footer-left {
    text-align: left;
  }

  .footer-right {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 5px;
  }

  .footer-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: black;
    margin-bottom: 5px;
    margin-top: 5px;
  }

  .footer-arrow {
    width: 20px;
    height: 20px;
    margin-right: 10px;
  }

  @media (max-width: 768px) {

    .arrow {
        position: fixed;
        top: 50%;
        transform: translateY(-50%);
        width: 15px;
        height: 15px;
        display: flex;
        justify-content: center;
        align-items: center;
        color: black;
        font-size: 24px;
        text-decoration: none;
        z-index: 9999;
      }

      .main-content {
        flex-direction: column;
        align-items: center;
      }
    
      .maezzy {
        order: -1; /* This moves the .maezzy element to the top */
        align-self: center; /* This centers the .maezzy element horizontally */
        margin: 20px 0; /* Adjust top and bottom margin as needed */
      }
    
      .container {
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box;
      }
    
      h1 {
        font-size: 24px;
        text-align: center;
      }

    p{
        font-size: 16px;
         font-family: coolvetica, sans-serif;
         margin-top: 10px; 
     }

      .description {
        font-size: 12px;
        font-family: "kosugi", sans-serif;
        line-height: 1.2; /* Improve readability */
        text-align: left; /* Align text to the left */
        width: 70%; /* Make the description take full width of the container */
        max-width: 800px; /* Limit the width for better readability */
        margin: 20px auto; /* Center the description box horizontally */
        padding: 0 15px; /* Optional: Add some padding for spacing */
    }

    
    .opening-img img {
        width: 400px;
        height: auto; /* Keeps the aspect ratio */
        border-radius: 5%; /* Adds rounded corners to the image */
    }
    
    .photo1 img, .photo2 img, .photo3 img, .photo4 img, .photo5 img {
        width: 400px; /* Set a fixed width for the images */
        height: auto; /* Keeps the aspect ratio */
        border-radius: 5%; /* Adds rounded corners to the images */
    }

    .footer {
      font-size: 16px;
    }
    
    .footer-content {
        flex-direction: column;
      }
  
      .footer-right {
        margin-top: 10px;
      }

  }

  @media (max-width: 430px) {

    .arrow {
        position: fixed;
        top: 50%;
        transform: translateY(-50%);
        width: 15px;
        height: 15px;
        display: flex;
        justify-content: center;
        align-items: center;
        color: black;
        font-size: 24px;
        text-decoration: none;
        z-index: 9999;
      }

      .main-content {
        flex-direction: column;
        align-items: center;
      }
    
      .maezzy {
        order: -1; /* This moves the .maezzy element to the top */
        align-self: center; /* This centers the .maezzy element horizontally */
        margin: 20px 0; /* Adjust top and bottom margin as needed */
      }
    
      .container {
        width: 100%;
        padding: 0 15px;
        box-sizing: border-box;
      }
    
      h1 {
        font-size: 24px;
        text-align: center;
      }

    p{
        font-size: 16px;
         font-family: coolvetica, sans-serif;
         margin-top: 10px; 
     }

      .description {
        font-size: 12px;
        font-family: "kosugi", sans-serif;
        line-height: 1.2; /* Improve readability */
        text-align: left; /* Align text to the left */
        width: 70%; /* Make the description take full width of the container */
        max-width: 800px; /* Limit the width for better readability */
        margin: 20px auto; /* Center the description box horizontally */
        padding: 0 15px; /* Optional: Add some padding for spacing */
    }

    
    .opening-img img {
        width: 300px;
        height: auto; /* Keeps the aspect ratio */
        border-radius: 5%; /* Adds rounded corners to the image */
    }
    
    .photo1 img, .photo2 img, .photo3 img, .photo4 img, .photo5 img {
        width: 300px; /* Set a fixed width for the images */
        height: auto; /* Keeps the aspect ratio */
        border-radius: 5%; /* Adds rounded corners to the images */
    }

    .footer {
      font-size: 16px;
    }
    
    .footer-content {
        flex-direction: column;
      }
  
      .footer-right {
        margin-top: 5px;
      }

  }